Package madkit.message

# Class KQMLMessage

java.lang.Object
madkit.kernel.Message
madkit.message.ActMessage
madkit.message.KQMLMessage

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class KQMLMessage extends ActMessage
This class describes a KQML message. It provides accessors for all reserved fields defined in the KQML Specification. Note that the :receiver and :sender are automatically mapped to the MaDKit AgentAddress.

Version:
  MaDKit 1.0
Author:
  Olivier Gutknecht
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class madkit.message.ActMessage

  `action, fields`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KQMLMessage(String performative)`
  Constructor for KQMLMessage class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getForce()`
  `String`
  `getInReplyTo()`
  `String`
  `getLanguage()`
  `String`
  `getOntology()`
  `String`
  `getPerformative()`
  `String`
  `getReplyWith()`
  `void`
  `setForce(String s)`
  `void`
  `setInReplyTo(String s)`
  `void`
  `setLanguage(String s)`
  `void`
  `setOntology(String s)`
  `void`
  `setReplyWith(String s)`
  `String`
  `toString()`

  ### Methods inherited from class madkit.message.ActMessage

  `getAction, getContent, getFieldValue, getKeys, getObject, setContent, setField, setObject`

  ### Methods inherited from class madkit.kernel.Message

  `clone, getConversationID, getReceiver, getSender`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KQMLMessage

    public KQMLMessage(String performative)
    Constructor for KQMLMessage class

- ## Method Details

  - ### getPerformative

    public String getPerformative()

  - ### getForce

    public String getForce()

  - ### setForce

    public void setForce(String s)

  - ### getReplyWith

    public String getReplyWith()

  - ### setReplyWith

    public void setReplyWith(String s)

  - ### getInReplyTo

    public String getInReplyTo()
    Overrides:
      `getInReplyTo` in class `ActMessage`

  - ### setInReplyTo

    public void setInReplyTo(String s)
    Overrides:
      `setInReplyTo` in class `ActMessage`

  - ### getLanguage

    public String getLanguage()

  - ### setLanguage

    public void setLanguage(String s)

  - ### getOntology

    public String getOntology()

  - ### setOntology

    public void setOntology(String s)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Message`